Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2387653004: Mac: Fix bugs in Sierra color fix (Closed)

Created:
2 years, 4 months ago by ccameron
Modified:
2 years, 4 months ago
Reviewers:
erikchen
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Mac: Fix bugs in Sierra color fix The previous fix uncondiontally replaced populated the solid color IOSurface and updated the contents_rect for all layers on Sierra, instead of just doing it for the ones without IOSurfaces. Fix this bug, parameterize whether or not we are using this workaround, and add tests for both code paths. BUG=633805 Committed: https://crrev.com/496c26b5cc3983f40b65729d8fa8bbd4a9951c71 Cr-Commit-Position: refs/heads/master@{#422281}

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+406 lines, -369 lines) Patch
M ui/accelerated_widget_mac/ca_layer_tree_coordinator.mm View 2 chunks +3 lines, -2 lines 0 comments Download
M ui/accelerated_widget_mac/ca_layer_tree_unittest_mac.mm View 11 chunks +386 lines, -361 lines 0 comments Download
M ui/accelerated_widget_mac/ca_renderer_layer_tree.h View 3 chunks +6 lines, -1 line 0 comments Download
M ui/accelerated_widget_mac/ca_renderer_layer_tree.mm View 6 chunks +11 lines, -5 lines 1 comment Download

Messages

Total messages: 9 (3 generated)
ccameron
Arguably, we should just throw out our use of solid color layers on all OS ...
2 years, 4 months ago (2016-09-30 22:14:18 UTC) #2
erikchen
lgtm On 2016/09/30 22:14:18, ccameron wrote: > Arguably, we should just throw out our use ...
2 years, 4 months ago (2016-09-30 22:21:35 UTC) #3
ccameron
On 2016/09/30 22:21:35, erikchen wrote: > lgtm > > On 2016/09/30 22:14:18, ccameron wrote: > ...
2 years, 4 months ago (2016-09-30 22:42:12 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2387653004/1
2 years, 4 months ago (2016-09-30 22:42:41 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 4 months ago (2016-10-01 02:10:14 UTC) #7
commit-bot: I haz the power
2 years, 4 months ago (2016-10-01 02:13:46 UTC) #9
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/496c26b5cc3983f40b65729d8fa8bbd4a9951c71
Cr-Commit-Position: refs/heads/master@{#422281}

Powered by Google App Engine
This is Rietveld 408576698